use telers::types::Message;

#[derive(Clone, Default, Debug)]
pub enum TargetUser {
    Id(i64),
    Reply(Message),
    #[default]
    None,
}

impl TargetUser {
    pub fn get_id(&self) -> Option<i64> {
        match self {
            Self::Id(id) => Some(*id),
            Self::Reply(msg) => {
                if let Some(replied_msg) = msg.reply_to_message() {
                    replied_msg.from().map(|user| user.id)
                } else {
                    None
                }
            }
            Self::None => None,
        }
    }
}
