#[allow(dead_code)]
#[derive(Debug, Copy, Clone)]
pub enum TimeMetrics {
    Minutes(i64),
    Hours(i64),
    Days(i64),
    Weeks(i64),
    Mounths(i64),
}

impl TimeMetrics {
    pub fn extract(self) -> i64 {
        match self {
            Self::Minutes(min) => min,
            Self::Hours(hrs) => hrs,
            Self::Days(day) => day,
            Self::Weeks(wks) => wks,
            Self::Mounths(mon) => mon,
        }
    }
    pub fn get_word_declensions(self) -> (impl Into<String>, impl Into<String>, impl Into<String>) {
        match self {
            Self::Minutes(_) => ("минута", "минуты", "минут"),
            Self::Hours(_) => ("час", "часов", "часов"),
            Self::Days(_) => ("день", "дня", "дней"),
            Self::Weeks(_) => ("неделя", "недели", "недель"),
            Self::Mounths(_) => ("месяц", "месяца", "месяцев"),
        }
    }
}
